# $Revision: 1.23 $, $Date: 2002/11/19 23:54:24 $
Summary:	An X Window System graphical chessboard
Summary(de):	X11-Schnittstelle fr GNU-Schach
Summary(es):	Interface X11 para el ajedrez de la GNU
Summary(fr):	Interface X11 au jeu d'checs de GNU
Summary(pl):	Graficzna szachownica dla X Window
Summary(pt_BR):	Interface X11 para o xadrez da GNU
Summary(ru):	 (X11)    
Summary(tr):	GNU Chess (satran) oyununa X11 grafik arabirimi
Summary(uk):	Ʀ (X11)    
Name:		xboard
Version:	4.2.6
Release:	5
License:	GPL
Group:		X11/Applications/Games
Source0:	http://www.tim-mann.org/xboard/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-info.patch
URL:		http://www.tim-mann.org/xboard.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	texinfo
Requires:	gnuchess
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		/usr/X11R6/man

%description
Xboard is an X Window System based graphical chessboard which can be
used with the GNUchess and Crafty chess programs, with Internet Chess
Servers (ICSs), with chess via email, or with your own saved games.

%description -l de
xboard stellt eine einfach zu bedienende, grafische Oberflche fr
GNU-Schach bereit, so da Sie sich in stundenlange Schachkmpfe
verwickeln knnen, ohne komplizierte Befehle lernen zu mssen.Es lt
sich auch als Frontend zum Austragen von Schachpartien gegen andere
Internet-Benutzer einsetzen.

%description -l es
xboard te ofrece una interface grfica fcil de usar para el programa
de ajedrez de GNU, permitiendo que aproveches horas de la acin
intelectual sin tener que aprender comandos complicados.

%description -l fr
xboard vous offre une interface graphique facile  utiliser pour le
jeu d'checs de GNU. Il vous permet d'apprcier les heures de
rflexion des checs sans avoir  apprendre des commandes complexes.
Il peut aussi tre utilis comme frontal pour jouer aux checs avec
d'autres personnes sur l'Internet.

%description -l pl
Xboard to graficzna szachownica pod X Window System, uywana z
programami szachowymi GNUchess i Crafty, serwerami Internet Chess
(ICS), z szachami przez poczt elektroniczn itd.

%description -l pt_BR
xboard oferece a voc uma interface grfica fcil de usar para o
programa de xadrez da GNU, permitindo voc aproveitar horas da ao
intelectual sem ter que aprender comandos complicados.

%description -l ru
Xboard -      , 
     GNUchess  Crafty,  
   (ICS),       
  .

%description -l tr
xboard, GNU chess programna grafik arabirimi ekleyerek kullanm
kolay ve rahat bir ortam sunar. Saatler boyunca kafa yorabilirsiniz.
Internet zerinden arkadanzla da oynayabilirsiniz.

%description -l uk
Xboard -  Ʀ    ,   
   GNUchess  Crafty,    
Ԧ (ICS),    Φ Ԧ   
 .

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make}
makeinfo xboard.texinfo

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Games/Board,%{_pixmapsdir}}

%{__make} install prefix=$RPM_BUILD_ROOT%{_prefix} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	man6dir=$RPM_BUILD_ROOT%{_mandir}/man6 \
	infodir=$RPM_BUILD_ROOT%{_infodir}

install xboard.info* $RPM_BUILD_ROOT%{_infodir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Games/Board
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xboard
%attr(755,root,root) %{_bindir}/zic2xpm
%attr(755,root,root) %{_bindir}/cmail
%attr(755,root,root) %{_bindir}/pxboard
%{_mandir}/man6/xboard.6*
%{_mandir}/man6/zic2xpm.6*
%{_mandir}/man6/cmail.6*
%{_infodir}/xboard.info*
%{_applnkdir}/Games/Board/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xboard.spec,v $
Revision 1.23  2002/11/19 23:54:24  ankry
- removed -rh patch: it is broken or incompatible with PLD
- release 5

Revision 1.22  2002/11/11 12:55:08  kloczek
- updated to 4.2.6,
- merged translations from old BeroLinux, KSI, Conctiva,
- added URL and updated Source url,
- remove wmconfig file,
- added info patch,
- merge rh1 patch from RH,
- new icon for xboard based on openstepicons Chess.App-ChessApp.xpm icon.

Revision 1.21  2002/11/11 03:35:02  ankry
- req. gnuchess
- added desktop, cleaning
- rel. 5

Revision 1.20  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.19  2002/05/21 23:15:04  kloczek
perl -pi -e "s/^automake -a -c -f --foreign/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.18  2002/02/23 05:10:59  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:30:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:15:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/13 21:52:54  speedy
- BuildRequires: texinfo

Revision 1.14  2001/11/01 14:49:35  agaran
s/configure/configure2_13/

Revision 1.13  2001/10/09 13:19:16  qboosh
- pl description, BR: ac,am, removed gzipping man&info

Revision 1.12  2001/09/28 14:15:18  blues
- release 4
- ac2.5 ready

Revision 1.11  2001/08/22 17:30:03  filon
- removed stripping executables, it's done by rpm automation

Revision 1.10  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %%p{re,ost}{,un}

Revision 1.8  2000/06/09 07:24:10  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.6  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.5  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/02 13:30:21  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file
- built package for 6.0

* Sat Jul 11 1998 Mike Wangsmo <wanger@redhat.com>
- updated to a new version
- buildrooted the package too

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
